libzypp 17.37.10

Testcase_helix.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <streambuf>`
`#include <zypp/solver/detail/Testcase.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/LogControl.h>`
`#include <zypp/base/GzStream.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/parser/xml/XmlEscape.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/ResPool.h>`
`#include <zypp/Repository.h>`
`#include <zypp/target/modalias/Modalias.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/solver/detail/Resolver.h>`
`#include <zypp/solver/detail/SystemCheck.h>`

Go to the source code of this file.

## Classes
class | zypp::solver::detail::HelixResolvable
| Creates a file in helix format which includes all available or installed packages,patches,selections.... More...
class | zypp::solver::detail::HelixControl
| Creates a file in helix format which contains all controll action of a testcase ( file is known as *-test.xml) More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::solver
namespace | zypp::solver::detail

## Macros
#define | ZYPP_USE_RESOLVER_INTERNALS
#define | TAB "\t"
#define | TAB2 "\t\t"

## Typedefs
typedef std::map< Repository, HelixResolvable_Ptr > | zypp::solver::detail::RepositoryTable

## Functions
std::string | zypp::solver::detail::xml_escape (const std::string &text)
std::string | zypp::solver::detail::xml_tag_enclose (const std::string &text, const std::string &tag, bool escape=false)
template<class T>
std::string | zypp::solver::detail::helixXML (const T &obj)
template<>
std::string | zypp::solver::detail::helixXML (const Edition &edition)
template<>
std::string | zypp::solver::detail::helixXML (const Arch &arch)
template<>
std::string | zypp::solver::detail::helixXML (const Capability &cap)
template<>
std::string | zypp::solver::detail::helixXML (const Capabilities &caps)
template<>
std::string | zypp::solver::detail::helixXML (const CapabilitySet &caps)
std::string | zypp::solver::detail::helixXML (const PoolItem &obj, Dep deptag_r)
std::string | zypp::solver::detail::helixXML (const PoolItem &item)
| zypp::solver::detail::DEFINE_PTR_TYPE (HelixResolvable)
| zypp::solver::detail::IMPL_PTR_TYPE (HelixResolvable)

## Macro Definition Documentation

## ◆ ZYPP_USE_RESOLVER_INTERNALS

#define ZYPP_USE_RESOLVER_INTERNALS

Definition at line 17 of file Testcase_helix.cc.

## ◆ TAB

#define TAB "\t"

Definition at line 52 of file Testcase_helix.cc.

## ◆ TAB2

#define TAB2 "\t\t"

Definition at line 53 of file Testcase_helix.cc.